Модуль Модуль Блоги 1.4.5

ExName

Создатель
Регистрация
20 Апр 2012
Сообщения
13
Реакции
3
День добрый, ребят. Воткнул под 10.2, при переходе в категорию вывалилось:

MySQL error in file: /engine/modules/show.short.php at line 66
Error Number: 1064
The Error returned was:
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'sait_status !='off' AND approve=1 AND date < '2014-12-30 19:30:05' ORDER BY fixe' at line 1
SQL query:


SELECT p.id, p.autor, p.date, p.short_story, CHAR_LENGTH(p.full_story) as full_story, p.xfields, p.title, p.category, p.alt_name, p.comm_num, p.allow_comm, p.fixed, p.tags, e.news_read, e.allow_rate, e.rating, e.vote_num, e.votes, e.view_edit, e.editdate, e.editor, e.reason, p.blog_name, p.blog_cat, p.blog_approve FROM pzrp_post p LEFT JOIN pzrp_post_extras e ON (p.id=e.news_id) WHERE category regexp '[[:<:]](30)[[:>:]]' sait_status !='off' AND approve=1 AND date < '2014-12-30 19:30:05' ORDER BY fixed desc, date DESC LIMIT 0,10

Чего ему от меня надо?
 

inmy

Мой дом здесь!
Регистрация
13 Апр 2012
Сообщения
405
Реакции
297
строчку выложи на которую ругаеться,возможно сделан косяк
 

inmy

Мой дом здесь!
Регистрация
13 Апр 2012
Сообщения
405
Реакции
297
выложи файл engine/engine.php есть подозрение что где-то был допущен косяк с изменением,что отразилось на /engine/modules/show.short.php
 

ExName

Создатель
Регистрация
20 Апр 2012
Сообщения
13
Реакции
3
выложи файл engine/engine.php есть подозрение что где-то был допущен косяк с изменением,что отразилось на /engine/modules/show.short.php

Лови. Хз, что там, так и не поборол проблему.
 

Вложения

  • engine.zip
    6,8 KB · Просмотры: 13

Gl_Raptor

Гуру форума
Регистрация
21 Фев 2008
Сообщения
288
Реакции
70
Ребят, кто ставил версию под 10.2, нормально всё работает с новой версией админки ДЛЕ?
С PHP 5.5 будет работать?
 
Последнее редактирование:

inmy

Мой дом здесь!
Регистрация
13 Апр 2012
Сообщения
405
Реакции
297
Модуль Модуль Блоги с поддержкой DLE 10.3 и 10.4

Сегодня 26.02.2015 вышли 2 дистрибутива, поддерживающие DLE 10.3 и 10.4 с кодировкой windows-1251 и UTF-8.
Дистрибутивы уже доступны для скачивания.
 

inmy

Мой дом здесь!
Регистрация
13 Апр 2012
Сообщения
405
Реакции
297
в принципе на днях поставил на 10.4 на локили,обнаружилось неприятное,чпу верно не обрабатываеться,а именно:
пример сайт.ру/Blog/
сайту.ру/блог/
и всё в том же духе выскакивает прикольная ошибка:
PHP:
MySQL error in file: /engine/modules/show.short.php at line 65
Error Number: 1064
The Error returned was:
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'sait_status !='off' AND approve=1 AND date < '2015-03-03 16:57:14' ORDER BY fixe' at line 1
SQL query:

SELECT p.id, p.autor, p.date, p.short_story, CHAR_LENGTH(p.full_story) as full_story, p.xfields, p.title, p.category, p.alt_name, p.comm_num, p.allow_comm, p.fixed, p.tags, e.news_read, e.allow_rate, e.rating, e.vote_num, e.votes, e.view_edit, e.editdate, e.editor, e.reason, p.blog_name, p.blog_cat, p.blog_approve FROM dle_post p LEFT JOIN dle_post_extras e ON (p.id=e.news_id) WHERE category regexp '[[:<:]](not detected)[[:>:]]' sait_status !='off' AND approve=1 AND date < '2015-03-03 16:57:14' ORDER BY fixed desc, date DESC LIMIT 0,10
коды установок перепроверил 10 раз,но так и не смог вкурить откуда такой баг,так как по адресу blog всё нормально,если не верно указан адрес к блогам должно выдавать ошибку 404,а в итоге ерор,если кто вкурсах подкиньте решение чтобы пофиксить
 
Сверху